# default rules
#homepage:
#  url:   /
#  param: { module: default, action: index }

# default rules
homepage:
  url:   /
  param: { module: dashboard, action: index }

login:
  url:   /login
  param: { module: default, action: logout }

logout:
  url:   /logout
  param: { module: default, action: logout }

webcontent_default:
  url:   /pages/:action/*
  param: { module: webcontent }

menus:
  url:   /menu
  param: { module: menu, action: index }

activities:
  url:   /activity
  param: { module: activity, action: index }

# Route for role administration
roles:
  url:   /role
  param: { module: role, action: index }

configuration:
  url:   /configuration
  param: { module: config, action: index }

configuration_system:
  url:   /configuration/system/1
  param: { module: config, action: index, system: 1 }

translations:
  url:   /translations
  param: { module: translation, action: index }

statistics:
  url:   /statistics
  param: { module: statistics, action: index }

statistics_user:
  url:   /statistics/users
  param: { module: statistics, action: users }

statistics_channels:
  url:   /statistics/channels
  param: { module: statistics, action: channels }

statistics_user:
  url:   /statistics/media
  param: { module: statistics, action:  media }
  
statistics_user:
  url:   /statistics/livestreams
  param: { module: statistics, action: livestreams }
  
  
  
mails:
  url:   /mails
  param: { module: mail, action: index }

userfields:
  url:   /userfields
  param: { module: userfields, action: index }

language:
  url:   /language/:language
  param: { module: default, action: language }

media_medium:
  url:    /getMedium/:key
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_medium_type:
  url:    /getMedium/:key.:type
  param:  { module: media, action: medium }
  requirements: { hash: '[a-fA-F0-9]{32}' }

media_thumbnail:
  url:    /getThumbnail/:key
  param:  { module: media, action: thumbnail }
  requirements: { hash: '[a-fA-F0-9]{32}' }

#default_symfony:
#  url:   /symfony/:action/*
#  param: { module: default }

default_index:
  url:   /:module
  param: { action: index }

default:
  url:   /:module/:action/*

dashboard:
  url:   /dashboard
  param: { module: dashboard, action: index }

roku:
  url:   /roku/index
  param: { module: roku, action: index }

syndication:
  url:   /syndication
  param: { module: syndication, action: index }

youtubeyndication:
  url:   /syndication/youtube
  param: { module: syndication, action: youtube }

youtubeauthorize:
  url:   /syndication/youtube/authorize
  param: { module: syndication, action: authorize }

vimeo:
  url:   /syndication/vimeo
  param: { module: syndication, action: vimeo }

facebook:
  url:   /syndication/facebook
  param: { module: syndication, action: facebook }

linkedin:
  url:   /syndication/linkedin
  param: { module: syndication, action: linkedin }

videosyndicate:
  url:   /syndication/videosyndicate
  param: { module: syndication, action: videosyndicate }

batch_syndication:
  url:   /syndication/batch
  param: { module: syndication, action: batch }

youtube_delete:
  url:   /syndication/youtube-delete
  param: { module: syndication, action: youtubedelete }

vimeo_delete:
  url:   /syndication/vimeo-delete
  param: { module: syndication, action: vimeodelete }

twitter_delete:
  url:   /syndication/twitter-delete
  param: { module: syndication, action: twitterdelete }

facebook_delete:
  url:   /syndication/facebook-delete
  param: { module: syndication, action: facebookdelete }